package com.jay.monitor.data.server.avue.enums;

import com.ruoyi.client.enums.DicEnumData;

/**
 * @author liukaixiong
 * @Email liukx@elab-plus.com
 * @date 2021/9/9 - 18:23
 */
public enum StatusEnum implements DicEnumData {

    valid(1, "有效"),
    invalid(-1, "无效");

    private int code;

    private String lable;

    StatusEnum(int code, String label) {
        this.code = code;
        this.lable = label;
    }

    @Override
    public Object getCode() {
        return this.code;
    }

    @Override
    public String getLabel() {
        return this.lable;
    }
}
